com.google.cloud.dataflow.sdk

## Interface PipelineResult

All Known Subinterfaces:
  DirectPipelineRunner.EvaluationContext, DirectPipelineRunner.EvaluationResults

All Known Implementing Classes:
  DataflowPipelineJob, InProcessPipelineRunner.InProcessPipelineResult

    public interface PipelineResult

Result of `Pipeline.run()`.

### Nested Class Summary

Nested Classes
`static class` `PipelineResult.State` Named constants for common values for the job state.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> AggregatorValues<T>` `getAggregatorValues(Aggregator<?,T> aggregator)` Retrieves the current value of the provided `Aggregator`.
`PipelineResult.State` `getState()` Retrieves the current state of the pipeline execution.

### Method Detail

#### getState

    PipelineResult.State getState()

Retrieves the current state of the pipeline execution.

Returns:
  the `PipelineResult.State` representing the state of this pipeline.

#### getAggregatorValues

    <T> AggregatorValues<T> getAggregatorValues(Aggregator<?,T> aggregator)
                                         throws AggregatorRetrievalException

Retrieves the current value of the provided `Aggregator`.

Parameters:
  `aggregator` - the `Aggregator` to retrieve values for.
Returns:
  the current values of the `Aggregator`, which may be empty if there are no values yet.
Throws:
  `AggregatorRetrievalException` - if the `Aggregator` values could not be retrieved.